Retrieve Organization Roles by OrgID and UID
Retrieves User Roles of an Organization by UID and OrgID.
Retrieves User Roles of an Organization by UID and OrgID.
apikey<token>
Tenant API Key for authentication
In: query
apisecret<token>
Tenant API Secret for authentication
In: query
Path Parameters
uid*string
UID of the User
orgId*string
Organization ID
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.loginradius.com/v2/manage/account/123456789/orgcontext/org_1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"{
"Data": [
{
"Id": "user_role_ru43jd3",
"Uid": "123456789",
"RoleId": "Role_dsag432d",
"OrgId": "org_fasf432d",
"Email": "defaultuser@email.com",
"CreatedDate": "2023-10-01T00:00:00Z"
}
]
}{
"ErrorCode": 8131,
"Message": "User id is required",
"Description": "User id is required, Please provide user id."
}{
"Message": "Access Unauthorized",
"Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
"ErrorCode": 6002
}{
"Description": "The entered organization or its configuration does not exist.",
"ErrorCode": 8118,
"Message": "Organization not found"
}{
"Message": "Operation failed due to an internal error.",
"Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
"ErrorCode": 7909
}